Package org.drinkless.tdlib

# Class TdApi.Minithumbnail

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Minithumbnail

Enclosing class:
  `TdApi`

public static class TdApi.Minithumbnail extends TdApi.Object
Thumbnail image of a very poor quality and low resolution.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  The thumbnail in JPEG format.
  `int`
  `height`
  Thumbnail height, usually doesn't exceed 40.
  `int`
  `width`
  Thumbnail width, usually doesn't exceed 40.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Minithumbnail()`
  Thumbnail image of a very poor quality and low resolution.
  `Minithumbnail(int width, int height, byte[] data)`
  Thumbnail image of a very poor quality and low resolution.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### width

    public int width
    Thumbnail width, usually doesn't exceed 40.

  - ### height

    public int height
    Thumbnail height, usually doesn't exceed 40.

  - ### data

    public byte[] data
    The thumbnail in JPEG format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Minithumbnail

    public Minithumbnail()
    Thumbnail image of a very poor quality and low resolution.

  - ### Minithumbnail

    public Minithumbnail(int width, int height, byte[] data)
    Thumbnail image of a very poor quality and low resolution.
    Parameters:
      `width` - Thumbnail width, usually doesn't exceed 40.
      `height` - Thumbnail height, usually doesn't exceed 40.
      `data` - The thumbnail in JPEG format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR